umbrello: Uml::CmdBaseWidgetCommand Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Uml::CmdBaseWidgetCommand Class Reference

`#include <cmdbasewidgetcommand.h>`

Inheritance diagram for Uml::CmdBaseWidgetCommand:

## Public Member Functions
| CmdBaseWidgetCommand (UMLWidget *widget)
| CmdBaseWidgetCommand (AssociationWidget *widget)
virtual | ~CmdBaseWidgetCommand ()

## Protected Member Functions
void | setWidget (UMLWidget *widget)
void | setWidget (AssociationWidget *widget)
void | addWidgetToScene (UMLWidget *widget)
void | addWidgetToScene (AssociationWidget *widget)
void | removeWidgetFromScene (UMLWidget *widget)
void | removeWidgetFromScene (AssociationWidget *widget)
UMLWidget * | widget ()
AssociationWidget * | assocWidget ()
UMLScene * | scene ()

## Protected Attributes
Uml::ID::Type | m_sceneId
Uml::ID::Type | m_widgetId
QPointer< UMLScene > | m_scene
QPointer< UMLWidget > | m_widget
QPointer< AssociationWidget > | m_assocWidget
bool | m_isAssoc

## Constructor & Destructor Documentation

## ◆ CmdBaseWidgetCommand() [1/2]

Uml::CmdBaseWidgetCommand::CmdBaseWidgetCommand | ( | UMLWidget * | widget | ) |
| explicit

## ◆ CmdBaseWidgetCommand() [2/2]

Uml::CmdBaseWidgetCommand::CmdBaseWidgetCommand | ( | AssociationWidget * | widget | ) |

## ◆ ~CmdBaseWidgetCommand()

Uml::CmdBaseWidgetCommand::~CmdBaseWidgetCommand | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addWidgetToScene() [1/2]

void Uml::CmdBaseWidgetCommand::addWidgetToScene | ( | AssociationWidget * | widget | ) |
| protected

Add widget to scene

Parameters

  widget | Pointer to widget to add

## ◆ addWidgetToScene() [2/2]

void Uml::CmdBaseWidgetCommand::addWidgetToScene | ( | UMLWidget * | widget | ) |
| protected

Add widget to scene

Parameters

  widget | Pointer to widget to add

## ◆ assocWidget()

AssociationWidget * Uml::CmdBaseWidgetCommand::assocWidget | ( |  | ) |
| protected

## ◆ removeWidgetFromScene() [1/2]

void Uml::CmdBaseWidgetCommand::removeWidgetFromScene | ( | AssociationWidget * | widget | ) |
| protected

## ◆ removeWidgetFromScene() [2/2]

void Uml::CmdBaseWidgetCommand::removeWidgetFromScene | ( | UMLWidget * | widget | ) |
| protected

## ◆ scene()

UMLScene * Uml::CmdBaseWidgetCommand::scene | ( |  | ) |
| protected

## ◆ setWidget() [1/2]

void Uml::CmdBaseWidgetCommand::setWidget | ( | AssociationWidget * | widget | ) |
| protected

## ◆ setWidget() [2/2]

void Uml::CmdBaseWidgetCommand::setWidget | ( | UMLWidget * | widget | ) |
| protected

## ◆ widget()

UMLWidget * Uml::CmdBaseWidgetCommand::widget | ( |  | ) |
| protected

## Member Data Documentation

## ◆ m_assocWidget

QPointer<AssociationWidget> Uml::CmdBaseWidgetCommand::m_assocWidget
| protected

## ◆ m_isAssoc

bool Uml::CmdBaseWidgetCommand::m_isAssoc
| protected

## ◆ m_scene

QPointer<UMLScene> Uml::CmdBaseWidgetCommand::m_scene
| protected

## ◆ m_sceneId

Uml::ID::Type Uml::CmdBaseWidgetCommand::m_sceneId
| protected

## ◆ m_widget

QPointer<UMLWidget> Uml::CmdBaseWidgetCommand::m_widget
| protected

## ◆ m_widgetId

Uml::ID::Type Uml::CmdBaseWidgetCommand::m_widgetId
| protected

The documentation for this class was generated from the following files:

- umbrello/cmds/widget/cmdbasewidgetcommand.h
- umbrello/cmds/widget/cmdbasewidgetcommand.cpp